<?xml version="1.0"?>
<!--    INVOICE    -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- <xsl:stylesheet xmlns:xsl="http://www.w3.org/tr/wd-xls" version="1.0"> -->
  <!-- HEADER NAME -->
  <!-- <xsl:variable name="header" select="upper(//InvoiceWood/@InvoiceType)"/> -->
  <xsl:variable name="header" select="'INVOICE'"/>
  <!-- HEADER CONSTANTS -->
  <xsl:variable name="hdcom" select="'Company'"/>
  <xsl:variable name="hddte" select="'Date'"/>
  <!-- <xsl:variable name="hdbvn" select="'Buyers VAT-number'"/> -->
  <xsl:variable name="hdinr" select="'Invoice No.'"/>
  <!-- <xsl:variable name="hdbid" select="'Customer'"/> -->
  <xsl:variable name="hdlo" select="'L/O'"/>
  <!-- SHIPMENT ITEM HEADERS -->
  <xsl:variable name="itmitm" select="'Item'"/>
  <xsl:variable name="itmprd" select="'Material'"/>
  <xsl:variable name="itmbol" select="'B/L'"/>
  <xsl:variable name="itmdsc" select="'Description'"/>
  <xsl:variable name="itmqnt" select="'Quantity'"/>
  <xsl:variable name="itmunt" select="'Unit'"/>
  <xsl:variable name="itmeur" select="'Price '"/>
  <xsl:variable name="itmgrv" select="'Value'"/>
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html" charset="windows-1252"/>
        <link rel="stylesheet" href="../css/woodx.css" type="text/css"/>
        <!-- STYLE DEFINITIONS -->
        <STYLE TYPE="text/css">
		 body
		 {
		   font-family: Verdana, Arial, Helvetica;
		   background-color: rgb(256,256,256);
		   color: black;
		 }
         H1
		 {
		   font-family: Verdana, Arial, Helvetica, sans-serif;
		   font-size: 20px;
		   color: rgb(0,0,0);
		 }
		 .header16_
		 {
		   font-size: 13px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
		 }
		 .datatable13_
		 {
		   font-size: 10px;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
		 }
         .datatable13right_
         {
		   font-size: 10px;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: right;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .datatable10_
         {
		   font-size: 8px;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .datatable13gray_
		 {
		   font-size: 10px;
		   background-color:rgb(211,211,211);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .datatable13rightgray_
         {
		   font-size: 10px;
		   background-color:rgb(211,211,211);
		   color: black;
		   text-align: right;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .datatable10gray_
         {
		   font-size: 8px;
		   background-color:lightgray;
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .dataheader13uright_
         {
		   font-size: 10px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: right;
		   vertical-align: top;
		   padding-left: 0px;
		   BORDER-BOTTOM: #000080 1px ridge;
         }
         .dataheader13u_
         {
		   font-size: 10px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
		   BORDER-BOTTOM: #000080 1px ridge;
         }
         .dataheader9_
         {
		   font-size: 7px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .dataheader12_
		 {
		   font-size: 9px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .dataheader12right_
         {
		   font-size: 9px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: right;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .dataheader13_
         {
		   font-size: 9px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: left;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .dataheader13right_
         {
		   font-size: 9px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: right;
		   vertical-align: top;
		   padding-left: 0px;
         }
         .dataheader15right_
         {
		   font-size: 12px;
		   font-weight: bold;
		   background-color: rgb(256,256,256);
		   color: black;
		   text-align: right;
		   vertical-align: top;
		   padding-right: 10px;
         }
   </STYLE>
        <!-- -->
        <title>
          <xsl:value-of select="$header"/>
        </title>
      </head>
      <body>
        <!-- BUILD HEADER -->
        <xsl:call-template name="header">
          <xsl:with-param name="element" select=".//InvoiceWood/InvoiceWoodHeader"/>
        </xsl:call-template>
        <hr width="99%" align="left"/>
        <!-- BILLING DATA -->
        <xsl:call-template name="billingdata">
          <xsl:with-param name="element" select=".//InvoiceWood/InvoiceWoodHeader"/>
          <xsl:with-param name="element2" select=".//InvoiceWood/InvoiceWoodSummary"/>
        </xsl:call-template>
        <hr width="99%" align="left"/>
        <!-- BUILD SHIPMENTS -->
        <xsl:call-template name="shipments">
          <xsl:with-param name="element" select=".//InvoiceWood/InvoiceShipment/InvoiceProductGroup"/>
        </xsl:call-template>
        <hr width="99%" align="left"/>
        <!-- BUILD TOTALS -->
        <xsl:call-template name="totals">
          <xsl:with-param name="element" select=".//InvoiceWood/InvoiceWoodSummary"/>
          <xsl:with-param name="element2" select=".//InvoiceWood/MonetaryAdjustment"/>
        </xsl:call-template>
        <hr width="99%" align="left"/>
        <!-- BUILD FOOTER -->
        <xsl:call-template name="footer">
          <xsl:with-param name="element" select=".//InvoiceWood/InvoiceWoodHeader"/>
        </xsl:call-template>
        <hr width="99%" align="left"/>
      </body>
    </html>
  </xsl:template>
  <!-- 
      ///////////////////////////////////////////////////
     This template (header) builds fixed header 
     params: 
     -  element : contains header construction elements
     /////////////////////////////////////////////////// 
   -->
  <xsl:template name="header">
    <xsl:param name="element"/>
    <table border="0" cellpadding="2" cellspacing="0" width="99%">
      <!-- /// 'HEADER' ROW /// -->
		  <td width="40%" class="datatableimg">
				<img src="logo.jpg"/>
		  </td>  
        <tr>
			<td><xsl:value-of select="$element/OtherParty[@PartyType='Seller']/NameAddress/Name1"/></td>
		</tr>
        <br/>
      <td width="50%">
        <h1>
          <xsl:value-of select="$header"/>
        </h1>
      </td>
      <td width="10%">
        <h5>
          <xsl:value-of select="$element/InvoiceNumber"/>
        </h5>
      </td>
      <td width="14%" class="datatable_"></td>
      <tr/>
		  <td></td>
      <tr/>
      <td/>
      <td class="datatable13_">
        <b>
          <xsl:value-of select="$hddte"/>
        </b>
        <br/>
        <xsl:value-of select="concat($element/InvoiceDate/Date/Day,'.',$element/InvoiceDate/Date/Month,'.',$element/InvoiceDate/Date/Year)"/>
      </td>
      <td class="datatable13_">
        <!-- BLANK CELL -->
      </td>
      <td class="datatable13_">
        <!-- BLANK CELL -->
      </td>
      <tr/>
      <td/>
    </table>
  </xsl:template>
  <!-- 
     ///////////////////////////////////////////////////
     This template builds fixed footer
     params: 
     -  
     ////////////////////////////////////////////////////
   -->
  <xsl:template name="footer">
    <xsl:param name="element"/>
    <table border="0" cellpadding="2" cellspacing="0" width="99%">
      <td class="datatable13_">
        <b>Payment to:</b>&#160;
        <xsl:value-of select="$element/RemitToParty/NameAddress/Name1"/>&#160;
        <xsl:value-of select="$element/RemitToParty/PartyIdentifier[@PartyIdentifierType='PayeeAccountNumber']"/>&#160;
				 <b>IBAN:</b>&#160;
				 <xsl:value-of select="$element/RemitToParty/PartyIdentifier[@PartyIdentifierType='IBAN']"/>&#160;
				 <b>SWIFT:</b>&#160;
				 <xsl:value-of select="$element/RemitToParty/PartyIdentifier[@PartyIdentifierType='SWIFT']"/>&#160;
				 <br/>
        <br/>
      </td>
      <xsl:for-each select="$element/AdditionalText">
        <tr>
          <td width="80%" class="datatable13_">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
        <table   border="1" cellpadding="0" cellspacing="0" width="99%">
        <tr>
			<td width="99%" class="datatable13_"></td>
		</tr>
    </table>
    <table border="0" cellpadding="2" cellspacing="0" width="99%">
      <tr>
		<td width="80%" class="datatable13_">
			<xsl:value-of select="$element/OtherParty[@PartyType='Seller']/NameAddress/Name1"/>
	    </td>
	    <td class="datatable13_">
			<xsl:text>Mill Headoffice Ltd.</xsl:text>
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
			<xsl:value-of select="$element/OtherParty[@PartyType='Seller']/NameAddress/Address1"/>
	    </td>
	    <td class="datatable13_">
			<xsl:text>Mill road 6</xsl:text>
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
	    <xsl:value-of select="$element/SupplierParty/NameAddress/Country"/>
	    </td>
	    <td class="datatable13_">
	    	<xsl:text>01700 Helsinki</xsl:text>
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
	    <xsl:value-of select="$element/OtherParty[@PartyType='Seller']/NameAddress/PostalCode"/>
	    </td>
	    <td class="datatable13_">
	    	<xsl:text>Business ID 0199999-9</xsl:text>
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
	    <xsl:value-of select="$element/OtherParty[@PartyType='Seller']/NameAddress/City"/>
	    </td>
	    <td class="datatable13_">
	    	<xsl:text>Registered office Helsinki</xsl:text>
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
	    <xsl:text>Tel: </xsl:text>
	    <xsl:value-of select="$element/OtherParty[@PartyType='Seller']/CommonContact/Telephone"/>
	    </td>
	    <td class="datatable13_">
	    	<xsl:text>www.sawmillZ.fi</xsl:text>
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
	    <xsl:text>Fax: </xsl:text>
	    <xsl:value-of select="$element/OtherParty[@PartyType='Mill']/CommonContact/Fax"/>
	    </td>
	    <td class="datatable13_">
	    </td>
	  </tr>
	  <tr>
	    <td class="datatable13_">
	    <xsl:text>VAT: </xsl:text>
	    <xsl:value-of select="$element/SupplierParty/PartyIdentifier[@PartyIdentifierType='VATIdentificationNumber']"/>
	    </td>
	    <td class="datatable13_">
	    	<xsl:text></xsl:text>
	    </td>
	  </tr>
	</table>
  </xsl:template>
  <!--
     /////////////////////////////////////////////////////////////////////////////////
     This template (billingdata) builds billing data
     params: 
     -  element   : contains header construction elements
     -  element2 : contains summary construction elements
     /////////////////////////////////////////////////////////////////////////////////
   -->
  <xsl:template name="billingdata">
    <xsl:param name="element"/>
    <xsl:param name="element2"/>
    <table border="0" cellpadding="2" cellspacing="0" width="99%">
      <td class="datatable13_">
        <b>
          <xsl:text>Buyer&#160;</xsl:text>
        </b>
		<xsl:value-of select="$element/BuyerParty/PartyIdentifier[@PartyIdentifierType='AssignedBySeller']"/>
        <br/>
        <xsl:value-of select="$element/BuyerParty/NameAddress/Name1"/>
        <br/>
        <xsl:value-of select="$element/BuyerParty/NameAddress/Address1"/>
        <br/>
        <xsl:value-of select="$element/BuyerParty/NameAddress/Address2"/>
        <br/>
        <xsl:value-of select="$element/BuyerParty/NameAddress/Address3"/>
        <br/>
        <xsl:value-of select="concat($element/BuyerParty/NameAddress/City,' ',$element/BuyerParty/NameAddress/PostalCode)"/>
        <br/>
        <xsl:value-of select="$element/BuyerParty/NameAddress/Country"/>
        <br/>
        <xsl:text>VAT:&#160;</xsl:text>
        <xsl:value-of select="$element/BuyerParty/PartyIdentifier[@PartyIdentifierType='VATIdentificationNumber']"/>
      </td>
      <td class="datatable13_"></td>
      <td class="datatable13_">
        <b>
          <xsl:text>Agent&#160;</xsl:text>
        </b>
        <xsl:value-of select="  $element/OtherParty[@PartyType='SalesOffice']/PartyIdentifier[@PartyIdentifierType='AssignedBySeller']"/>
        <br/>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/NameAddress/Name1"/>
        <br/>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/NameAddress/Address1"/>
        <br/>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/NameAddress/Address2"/>
        <br/>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/NameAddress/Address3"/>
        <br/>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/NameAddress/City"/>
        <br/>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/NameAddress/PostalCode"/>
        <br/>
        <xsl:text>VAT:&#160;</xsl:text>
        <xsl:value-of select="$element/OtherParty[@PartyType='SalesOffice']/PartyIdentifier[@PartyIdentifierType='VATIdentificationNumber']"/>
        <br/>
        <br/>
      </td>
      <td class="datatable13_"></td>
      <td class="datatable13_"></td>
      <tr/>
      <td class="datatable13_">
        <br/>
        <b>
          <xsl:text>Delivery Address&#160;</xsl:text>
        </b>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/PartyIdentifier"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/Name1"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/Address1"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/Address2"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/Address3"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/City"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/County"/>
        <br/>
        <xsl:value-of select="concat($element/ShipToCharacteristics/ShipToParty/NameAddress/City,' 									',$element/ShipToCharacteristics/ShipToParty/NameAddress/PostalCode)"/>
        <br/>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/NameAddress/Country"/>
        <br/>
        <xsl:text>VAT:&#160;</xsl:text>
        <xsl:value-of select="$element/ShipToCharacteristics/ShipToParty/PartyIdentifier[@PartyIdentifierType='VATIdentificationNumber']"/>
        <br/>
        <br/>
      </td>
      <td width="20%" class="datatable13_"></td>
      <td width="20%" class="datatable13_">
        <b>
          <xsl:text>Country of origin</xsl:text>
        </b>
        <br/>
        <xsl:value-of select="$element/CountryOfOrigin/Country"/>
        <br/>
        <br/>
        <b>
          <xsl:text>Country of destination</xsl:text>
        </b>
        <br/>
        <xsl:value-of select="$element/CountryOfDestination/Country"/>
      </td>
      <tr/>
      <!--                                       -->
      <!-- ROW ONE Handled by and Loading Port   -->
      <!--                                       -->
      <td class="datatable13_">
        <b>
          <xsl:text>Handled by:</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <!-- BLANK CELL -->
        <xsl:value-of select="$element/SupplierParty/CommonContact/ContactName"/>
      </td>
      <td class="datatable13_">
        <b>
          <xsl:text>Loading Port:</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="$element/OtherParty[@PartyType='PlaceOfLoading']/NameAddress/Name1"/>
      </td>
      <tr/>
      <!--                                             -->
      <!-- ROW TWO Loading date and Discharging port   -->
      <!--                                             -->
      <td class="datatable13_">
        <b>
          <xsl:text>Loading Date:</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="concat($element/InvoiceDate/Date/Day,'.',$element/InvoiceDate/Date/Month,'.',$element/InvoiceDate/Date/Year)"/>
      </td>
      <td class="datatable13_">
        <b>
          <xsl:text>Discharging Port:</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="$element/OtherParty[@PartyType='PlaceOfDischarge']/NameAddress/Name1"/>
      </td>
      <tr/>
      <!--                                                     -->
      <!-- ROW THREE Buyer's reference and Final destination   -->
      <!--                                                     -->
      <td class="datatable13_">
        <b>
          <xsl:text>Buyer's reference:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <!--xsl:value-of select="$element/InvoiceReference[@InvoiceReferenceType='BillOfLadingNumber']"/-->
        <xsl:value-of select=".//InvoiceWood/InvoiceShipment/InvoiceProductGroup/InvoiceWoodLineItem/PurchaseOrderInformation/PurchaseOrderNumber"/>
      </td>
      <td class="datatable13_">
        <b>
          <xsl:text>Final Destination:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <!--xsl:value-of select="$element/ShipToCharacteristics/ShipToParty[@PartyType='PlaceFinalDestination']/NameAddress/City"/-->
        <xsl:value-of select="$element/OtherParty[@PartyType='PlaceOfDischarge']/NameAddress/Name1"/>
      </td>
      <tr/>
      <!--                                      -->
      <!-- ROW FOUR Voyage/book no and Vessel   -->
      <!--                                      -->
      <td class="datatable13_">
        <b>
          <xsl:text>Voyage/Book No:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <!--xsl:value-of select="$element/CarrierParty/NameAddress/Name2"/-->
        <!--xsl:value-of select="$element/TransportVehicleIdentifier[@TransportVehicleIdentifierType='VoyageNumber']"/-->
        <xsl:value-of select="$element/InvoiceReference[@InvoiceReferenceType='VoyageNumber']"/>
      </td>
      <td class="datatable13_">
        <b>
          <xsl:text>Vessel:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <!--xsl:value-of select="$element/TransportVehicleIdentifier"/-->
        <xsl:value-of select="$element/TransportVehicleIdentifier[@TransportVehicleIdentifierType='VesselName']"/>
      </td>
      <tr/>
      <!--                                       -->
      <!-- ROW FIVE Contract and Loading Order   -->
      <!--                                       -->
      <td class="datatable13_">
        <b>
          <xsl:text>Contract:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="$element/InvoiceReference[@InvoiceReferenceType='OrderNumber']"/>
      </td>
      <td class="datatable13_">
        <b>
          <xsl:text>Loading Order:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="$element/InvoiceReference[@InvoiceReferenceType='LoadingOrderNumber']"/>
      </td>
      <tr/>
      <!--                                         -->
      <!-- ROW SIX Total volume and Gross weight   -->
      <!--                                         -->
      <td class="datatable13_">
        <b>
          <xsl:text>Total Volume:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="InvoiceWood/InvoiceWoodSummary/TotalQuantity/Value[@UOM='CubicMeter']"/>&#160;
			 <xsl:text>M3</xsl:text>
      </td>
      <td class="datatable13_">
        <b>
          <xsl:text>Gross weight:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="InvoiceWood/InvoiceWoodSummary/TotalQuantity/Value[@UOM='Kilogram']"/>
			 KGM
			 </td>
      <tr/>
      <!--                                            -->
      <!-- ROW SEVEN Terms of delivery and packages   -->
      <!--                                            -->
      <td class="datatable13_">
        <b>
          <xsl:text>Terms of Delivery:&#160;</xsl:text>
        </b>
      </td>
      <td width="30%" class="datatable13_">
        <xsl:value-of disable-output-escaping="yes" select="$element/ShipToCharacteristics/TermsOfDelivery/IncotermsLocation/@Incoterms"/>&#160;
			 <xsl:value-of select="$element/ShipToCharacteristics/TermsOfDelivery"/>&#160;
			 <xsl:value-of select="$element/ShipToCharacteristics/LocationCode"/>
      </td>
      <tr/>
      <!--                              -->
      <!-- ROW EIGHT Terms of payment -->
      <!--                              -->
      <td class="datatable13_">
        <b>
          <xsl:text>Terms of Payment:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <xsl:value-of select="$element2/TermsOfPayment/TermsDescription"/>
      </td>
      <!--                              -->
      <!-- ROW NINE Discount due date -->
      <!--                              -->
      <tr/>
      <td class="datatable13_">
        <b>
          <xsl:text>Due date of cash discount:&#160;</xsl:text>
        </b>
      </td>
      <td class="datatable13_">
        <!--<xsl:value-of select="$element2/TermsOfPayment/TermsDiscountDueDate"/>-->
        <xsl:value-of select="concat($element2/TermsOfPayment/TermsDiscountDueDate/Date/Day,'.',
												 $element2/TermsOfPayment/TermsDiscountDueDate/Date/Month,'.',
												 $element2/TermsOfPayment/TermsDiscountDueDate/Date/Year)"/>
      </td>
    </table>
  </xsl:template>
  <!-- ///////////////////////////////////////////////////
      This template builds shipment rows line details
     params: 
     -  element : contains header shipment elements
     //////////////////////////////////////////////////////// -->
  <xsl:template name="shipments">
    <xsl:param name="element"/>
    <xsl:variable name="bol" select="$element/ProductGroupID"/>
    <table border="0" cellpadding="2" cellspacing="0" width="99%">
      <tr>
        <td class="dataheader13u_" width="6%">
          <xsl:value-of select="$itmitm"/>
        </td>
        <td class="dataheader13u_" width="6%">
          <xsl:value-of select="$itmprd"/>
        </td>
        <td class="dataheader13u_" width="10%">
          <xsl:value-of select="$itmbol"/>
        </td>
        <td class="dataheader13u_" width="20%">
          <xsl:value-of select="$itmdsc"/>
        </td>
        <td class="dataheader13uright_" width="10%">
          <xsl:value-of select="$itmqnt"/>
        </td>
        <td class="dataheader13u_" width="8%">
          <xsl:value-of select="$itmunt"/>
        </td>
        <td class="dataheader13uright_" width="10%">
          <xsl:value-of select="$itmeur"/>
        </td>
        <td class="dataheader13uright_" width="10%">
          <xsl:value-of select="$itmgrv"/>
        </td>
      </tr>
      <xsl:for-each select="$element/InvoiceWoodLineItem">
        <tr>
          <td class="datatable13_">
            <xsl:value-of select="InvoiceLineNumber"/>
          </td>
          <!-- Get Material and Bill of Lading -->
          <!--xsl:for-each select="Product/ProductIdentifier">
					 <td class="datatable13_">
					 <xsl:value-of select="."/>
					 </td>
			     </xsl:for-each-->
          <td class="datatable13_">
            <!--xsl:value-of select="Product/ProductIdentifier"/-->
            <xsl:value-of select="Product/ProductIdentifier[@Agency='Supplier']"/>
          </td>
          <td class="datatable13_">
            <!--xsl:value-of select="$bol"/-->
            <xsl:value-of select="Product/ProductIdentifier[@Agency='Buyer']"/>
          </td>
          <td class="datatable13_">
            <xsl:value-of select="Product/ProductDescription"/>
          </td>
          <td class="datatable13right_">
            <xsl:value-of select="Quantity/Value"/>&#160;
				 </td>
          <td class="datatable13_">
            <xsl:value-of select="Quantity/Value/@UOM"/>
          </td>
          <td class="datatable13right_">
            <xsl:value-of select="InvoiceLineBaseAmountInformation/PriceDetails/PricePerUnit/CurrencyValue"/>&#160;
           <xsl:value-of select="InvoiceLineBaseAmountInformation/PriceDetails/PricePerUnit/CurrencyValue/@CurrencyType"/>
            <xsl:text> </xsl:text>
          </td>
          <td class="datatable13right_">
            <xsl:value-of select="InvoiceLineAmount/CurrencyValue"/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
  <!-- 
     ///////////////////////////////////////////////////
     This template builds totals data
     params: 
     -  element : contains summary construction elements
     ////////////////////////////////////////////////////
   -->
  <xsl:template name="totals">
    <xsl:param name="element"/>
    <xsl:param name="element2"/>
    <table border="0" cellpadding="2" cellspacing="0" width="99%">
      <td class="dataheader13_">
        <xsl:text>Total amount:&#160;</xsl:text>
        <xsl:value-of select="$element/TotalAmount/CurrencyValue/@CurrencyType"/>
        <!--xsl:value-of select="InvoiceWood/InvoiceWoodHeader/OtherParty[@PartyType='Bank']/NameAddress/PostalCode"/-->
      </td>
      <td/>
      <td/>
      <td/>
      <td/>
      <td/>
      <td class="datatable13right_">
        <xsl:value-of select="$element/TotalAmount/CurrencyValue"/>
      </td>
      <tr/>
      <td class="dataheader13right_">
        <xsl:value-of select="$element/TotalNetAmount/Value"/>
      </td>
      <tr/>
      <td class="datatable13_">
        <b>
          <xsl:text>VAT: Intra Community Supply&#160;</xsl:text>
        </b>
        <xsl:value-of select="$element2/TaxAdjustment/TaxAmount/CurrencyValue"/>
        <br/>
        <br/>
        <b>
          <xsl:text>Total Fas:&#160;</xsl:text>
        </b>
        <xsl:value-of select="$element/TotalFASAmount/CurrencyValue/@CurrencyType"/>
        <xsl:text>:&#160;</xsl:text>
        <xsl:value-of select="$element/TotalFASAmount/CurrencyValue"/>
      </td>
      <td class="datatable13_">
			 </td>
    </table>
  </xsl:template>
</xsl:stylesheet>
