<?xml version="1.0"?>
<!-- 
 	==========================================================================
 	Woodx standard: OrderConfirmationWoodV2R31_2008-12-07.xsl 
 	Author:		Juha-Pekka Ylitolva - juha-pekka.ylitolva@upm-kymmene.com
    	Modifier:	Timo Romppanen - timo.romppanen@upm-kymmene.com
     	==========================================================================
-->

	<!-- ==========================================================   -->     
	<!--	XSL TRANSFORMATION WHICH HAS BEEN USED			  -->
	<!-- ==========================================================   -->  
	<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    	<!-- ==========================================================   -->     
	<!--	HEADERS: XSL VARIABLES					  -->
	<!-- ==========================================================   -->     
	    <xsl:variable name="header" 	select="'ORDER CONFIRMATION'"/>
	    <xsl:variable name="headertp" 	select="''"/>
	    <xsl:variable name="hdcom" 		select="'Company'"/>
	    <xsl:variable name="hddte" 		select="'Date'"/>
	    <xsl:variable name="hdbvn" 		select="'Buyers VAT-number'"/>
	    <xsl:variable name="hdinr" 		select="'Purchase order'"/>
	    <xsl:variable name="hddod" 		select="'Date of Delivery'"/>
	    <xsl:variable name="hdbid" 		select="'Buyers ID'"/>
	    <xsl:variable name="hdlo"  		select="'L/O'"/>
            <xsl:variable name="itm0"  		select="'Item'"/>
	    <xsl:variable name="itm1"  		select="'Product'"/>
	    <xsl:variable name="itm2"  		select="'Pac.'"/>
	    <xsl:variable name="itm3"  		select="'Wrap'"/>
	    <xsl:variable name="itm4"  		select="'Quantity'"/>
	    <xsl:variable name="itm5"  		select="'Unit'"/>
	    <xsl:variable name="itm6" 		select="'Price'"/>
	    <xsl:variable name="itm7"  		select="'Unit'"/>
	    <xsl:variable name="itm8"  		select="'Shipment date'"/>
	    <xsl:variable name="itm10"  	select="'Buyer'"/>
	    <xsl:variable name="itm11"  	select="'Notify Address'"/>
	    <xsl:variable name="itm12"  	select="'Receiver'"/>
	    <xsl:variable name="itm13"  	select="'Country of origin'"/>
	    <xsl:variable name="itm14"  	select="'Country of destination'"/>
	    <xsl:variable name="itm15"  	select="'Terms of delivery'"/>
	    <xsl:variable name="itm16"  	select="'Buyers reference'"/>
	    <xsl:variable name="itm17"  	select="'Receivers reference'"/>
	    <xsl:variable name="itm18"  	select="'Carrier'"/>
	    <xsl:variable name="itm19"  	select="'Terms of payment'"/>
	    <xsl:variable name="itm20"  	select="'Place of loading'"/>
	    <xsl:variable name="itm21"  	select="'Place of discharge'"/>
	    <xsl:variable name="itm22"  	select="'Destination'"/>
	    <xsl:variable name="itm23"  	select="'Reference number'"/>
	    <xsl:variable name="itm24"  	select="'Contract valid until'"/>
	    <xsl:variable name="unknown" 	select="''"/>
	   
	<!-- ==========================================================   --> 
	
	
	<!-- ==========================================================   -->     
	<!--	MATCH WHOLE XML DOCUMENT				  -->
	<!-- ==========================================================   -->     
    	<xsl:template match="/">
    	
    	
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html"
                    charset="windows-1252"/>
                    
        <!-- ==================================================================  -->     
	<!-- STYLESHEET HAS BEEN EMBEDDED IN A DOCUMENT WITH THE STYLE ELEMENT  -->
	<!-- ================================================================== -->
   	<STYLE TYPE="text/css">
	body
	{
 		font-family: Verdana, Arial, Helvetica;
 		background-color: rgb(256,256,256);
 		color: black;
	}

	H1
	{
	 	font-family: Verdana, Arial, Helvetica, sans-serif;
 		font-size: 20px;
 		color: rgb(0,0,0);
	}
	.header16_
	{
	 	font-size: 13px;
 		font-weight: bold;
 		background-color: rgb(256,256,256);
 		color: black;
 		text-align: left;
 		vertical-align: top;
 		padding-left: 0px;
	}
	.datatable13_
	{
	 	font-size: 10px;
 		background-color: rgb(256,256,256);
 		color: black;
 		text-align: left;
 		vertical-align: top;
 		padding-left: 0px;
	}
	.datatable13right_
	{
	 	font-size: 10px;
 		background-color: rgb(256,256,256);
 		color: black;
 		text-align: right;
 		vertical-align: top;
 		padding-left: 0px;
	}
	.datatable13left_
	{
		 font-size: 10px;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.datatable10_
	{
		 font-size: 8px;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.datatable13gray_
	{
		 font-size: 10px;
		 background-color:rgb(211,211,211);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.datatable13rightgray_
	{
		 font-size: 10px;
		 background-color:rgb(211,211,211);
		 color: black;
		 text-align: right;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.datatable10gray_
	{
		 font-size: 8px;
		 background-color:lightgray;
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.dataheader13uright_
	{
		 font-size: 10px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: right;
		 vertical-align: top;
		 padding-left: 0px;
		 BORDER-BOTTOM: #000080 1px ridge;
	}

	.dataheader13uleft_
	{
		 font-size: 10px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
		 BORDER-BOTTOM: #000080 1px ridge;
	}

	.dataheader13u_
	{
		 font-size: 10px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
		 BORDER-BOTTOM: #000080 1px ridge;
	}
	.dataheader9_
	{
		 font-size: 7px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.dataheader12_
	{
		 font-size: 9px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.dataheader12right_
	{
		 font-size: 9px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: right;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.dataheader13_
		{
		 font-size: 9px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: left;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.dataheader13right_
	{
		 font-size: 9px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: right;
		 vertical-align: top;
		 padding-left: 0px;
	}
	.dataheader15right_
	{
		 font-size: 12px;
		 font-weight: bold;
		 background-color: rgb(256,256,256);
		 color: black;
		 text-align: right;
		 vertical-align: top;
		 padding-right: 10px;
	}

   	</STYLE>
   	<!-- ==========================================================   -->     
	<!-- STYLESHEET DEFINITIONS ENDS				  -->     
   	<!-- ==========================================================   -->     
                
         <title>
           	<xsl:value-of select="$header"/><xsl:value-of select="$headertp"/>
         </title>
         </head>
         
	<!-- ==================================================================   -->
	<!-- BODY: 								  -->
	<!-- ==================================================================   -->
         <body>
             	<!-- ==========================================================   -->     
                <!-- HEADERS FOR PURCHASEORDER,CONTRACT 		  	  -->
		<!-- ==========================================================   -->
                	<xsl:call-template name="header">
                    	<xsl:with-param name="element"
                        	select=".//OrderConfirmationWood/OrderConfirmationWoodHeader"/>
                	</xsl:call-template>
                <!-- ==========================================================   -->  
                <hr width="99%" align="left"/>
                
            	<!-- ==========================================================   -->     
                <!-- PURCHASEORDER,CONTRACT  - DATA		  		  -->
		<!-- ==========================================================   -->                 
			<xsl:call-template name="contractdata">
                 	<xsl:with-param name="element"
                        select=".//OrderConfirmationWood/OrderConfirmationWoodHeader"/>
                    	<xsl:with-param name="element2"
                        select=".//OrderConfirmationWood/OrderConfirmationWoodSummary"/>
                	</xsl:call-template>
                <!-- ==========================================================   -->     
                <hr width="100%" align="left"/>
                <table border="0" cellpadding="2" cellspacing="0" width="100%">
                
		<!-- ==========================================================   -->     
                <!-- PRODUCT LINES: HEADERS		  			  -->
		<!-- ==========================================================   -->  
                	<xsl:call-template name="contractheader">
                	</xsl:call-template>
                 <!-- ==========================================================   -->     
        
        	<!-- ==========================================================   -->     
	        <!-- PRODUCT LINES: DATA		  			  -->
		<!-- ==========================================================   -->  
                    	<xsl:for-each
                        	select=".//OrderConfirmationWood/OrderConfirmationWoodProductGroup/OrderConfirmationWoodLineItem">
                        <xsl:call-template name="contractrow">
                            <xsl:with-param name="element" select="."/>
                            <xsl:with-param name="pos" select="position()"/>
                        </xsl:call-template>
                        <tr/>
                    	</xsl:for-each>
                <!-- ==========================================================   -->  
  		</table>
                <hr width="100%" align="left"/>
                
                
                <!-- ==========================================================   -->     
	        <!-- SUMMARIES: HEADERS AND DATA		  		  -->
		<!-- ==========================================================   -->  
                    	<xsl:call-template name="totals">
                    	<xsl:with-param name="element"
                        select=".//OrderConfirmationWood/OrderConfirmationWoodSummary"/>
                	</xsl:call-template>
                <!-- ==========================================================   -->  
                <hr width="100%" align="left"/>
                
        </body>
        </html>
    	</xsl:template>
    	<!-- =====================================================================   -->     
        <!-- TEMPLATE '/' ENDS		  				             -->
        <!-- =====================================================================   -->     

  
	<!-- =====================================================================   -->     
     	<!-- TEMPLATE 'header' BEGINS	  				             -->
     	<!-- =====================================================================   -->     

    	<xsl:template name="header">
        <xsl:param name="element"/>
		<table border="0" cellpadding="2" cellspacing="0" width="100%">
		    <!-- /// 'HEADER' ROW /// -->
		    <td width="40%" class="datatableimg">
			<img src="../kuvat/PapiNetWoodX.jpg"/>
			<br/>
			<br/>
			<br/>
		    </td>
		    <td width="23%" colspan="0">
			<h1>
			    <xsl:value-of select="$header"/><font size="1"><xsl:value-of select="$headertp"/></font>
			</h1>
			<br/>
			<br/>
			<br/>
		    </td>
		    <td width="23%" class="datatable13_">
		    </td>
		    <tr/>
		    <td/>
		    <td class="datatable13_">
			<b>
			    <xsl:value-of select="$hdcom"/>
			</b>
			<br/>
			<xsl:value-of
                    		select="$element/OtherParty[@PartyType='Seller']/NameAddress/Name1"/>
		    </td>
		    <td class="datatable13_">
			<b>
			    <xsl:value-of select="$hdinr"/>
			</b>
			<br/>
			<xsl:value-of
			    select="$element/PurchaseOrderInformation/PurchaseOrderNumber"/>
		    </td>
		    <tr/>
		    <td/>
		    <td class="datatable13_">
			<b>
			    <xsl:value-of select="$hddte"/>
			</b>
			<br/>
			<xsl:value-of
			    select="concat($element/PurchaseOrderInformation/PurchaseOrderIssuedDate/Date/Day,'.',$element/PurchaseOrderInformation/PurchaseOrderIssuedDate/Date/Month,'.',$element/PurchaseOrderInformation/PurchaseOrderIssuedDate/Date/Year)"/>
		    </td>
		    <tr/>
		    <td/>
		    <td class="datatable13_">
			<b>
			    <xsl:value-of select="$hdbvn"/>
			</b>
			<br/>
			<xsl:value-of
			    select="$element/BuyerParty/PartyIdentifier[@PartyIdentifierType='VATIdentificationNumber']"/>
		    </td>
		    <td class="datatable13_">
		    </td>
		</table>
    	</xsl:template>
    
    	<!-- =====================================================================   -->     
        <!-- TEMPLATE 'header' ENDS	  				             -->
        <!-- =====================================================================   -->     

   	<!-- =====================================================================   -->     
     	<!-- TEMPLATE 'contractdata' BEGINS	  				     -->
     	<!-- parameters: 
     	 	-  element : contains header construction elements
   		-  element2 :contains summary construction elements		     -->
     	<!-- =====================================================================   -->     

    	<xsl:template name="contractdata">
        <xsl:param name="element"/>
        <xsl:param name="element2"/>
		<table border="0" cellpadding="2" cellspacing="0" width="99%">
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm10"/></b>
			<br/>
			<xsl:value-of select="$element/BuyerParty/NameAddress/Name1"/>
			<br/>
			<xsl:value-of
			    select="$element/BuyerParty/NameAddress/Address1"/>
			<br/>
			<xsl:value-of
			    select="concat($element/BuyerParty/NameAddress/PostalCode,' ',$element/BuyerParty/NameAddress/City)"/>
			<br/>
			<xsl:value-of select="$element/BuyerParty/NameAddress/Country"/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm11"/></b>
			<br/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <tr/>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm12"/></b>
			<br/>
			<xsl:value-of
			    select="$element/ShipToInformation/ShipToCharacteristics/ShipToParty[@PartyType='ShipTo']/NameAddress/Name1"/>
			<br/>
			<xsl:value-of
			    select="$element/ShipToInformation/ShipToCharacteristics/ShipToParty[@PartyType='ShipTo']/NameAddress/Name2"/>
			<br/>
			<xsl:value-of
			    select="$element/ShipToInformation/ShipToCharacteristics/ShipToParty[@PartyType='ShipTo']/NameAddress/Address1"/>
			<br/>
			<xsl:value-of
			    select="$element/ShipToInformation/ShipToCharacteristics/ShipToParty[@PartyType='ShipTo']/NameAddress/City"/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm13"/></b>
			<br/>
			<xsl:value-of select="$element/CountryOfOrigin/Country"/>
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm14"/></b>
			<br/>
			<xsl:value-of select="$element/CountryOfDestination/Country"/>
		    </td>

		    <td width="20%" class="datatable13_">
		    </td>
		    <tr/>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm15"/></b>
			<br/>
			<xsl:value-of
			    select="$element/ShipToInformation/ShipToCharacteristics/TermsOfDelivery/IncotermsLocation/@Incoterms"/>
                        <xsl:text> </xsl:text>
			<xsl:value-of
			    select="$element/ShipToInformation/ShipToCharacteristics/TermsOfDelivery/IncotermsLocation"/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <tr/>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
			<b>Buyer's reference</b>
			<br/>
		    </td>
		    <td width="20%" class="datatable13_">
			<b>Receiver's reference</b>
			<br/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <tr/>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm18"/></b>
			<br/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm19"/></b>
			<br/>
			<xsl:value-of
			    select="$element2/TermsOfPayment/TermsDescription"/>
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <tr/>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm20"/></b>
			<br/>
			<xsl:value-of
                    		select="$element/OtherParty[@PartyType='PlaceOfLoading']/NameAddress/Name1"/>	
			    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm21"/></b>
			<br/>
			<xsl:value-of
                    		select="$element/OtherParty[@PartyType='PlaceOfDischarge']/NameAddress/Name1"/>	
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <tr/>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm22"/></b>
			<br/>
			<xsl:value-of
                    		select="$element/OtherParty[@PartyType='PlaceFinalDestination']/NameAddress/Name1"/>	
		    </td>
		    <td width="20%" class="datatable13_">
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm23"/></b>
			<br/>
			<xsl:value-of
			    select="$element/PurchaseOrderInformation/PurchaseOrderReference[@PurchaseOrderReferenceType='ReferenceNumber']"/>
		    </td>
		    <td width="20%" class="datatable13_">
			<b><xsl:value-of select="$itm24"/></b>
		    </td>
		</table>
    	</xsl:template>
    	<!-- =====================================================================   -->     
       	<!-- TEMPLATE 'contractdata' ENDS	  				     -->
        <!-- =====================================================================   -->     

    	<!-- =====================================================================   -->     
        <!-- TEMPLATE 'contractheader' BEGINS	  				     -->
        <!-- =====================================================================   -->     
    	<xsl:template name="contractheader">
		<tr>
		    <td class="dataheader13u_" width="7%">
			<xsl:value-of select="$itm0"/>
		    </td>
		    <td class="dataheader13u_" width="30%">
			<xsl:value-of select="$itm1"/>
		    </td>
		    <td class="dataheader13u_" width="7%">
			<xsl:value-of select="$itm2"/>
		    </td>
		    <td class="dataheader13u_" width="14%">
			<xsl:value-of select="$itm3"/>
		    </td>
		    <td class="dataheader13uright_" width="7%">
			<xsl:value-of select="$itm4"/>
		    </td>
		    <td class="dataheader13u_" width="7%">
			<xsl:value-of select="$itm5"/>
		    </td>
		    <td class="dataheader13uright_" width="7%">
			<xsl:value-of select="$itm6"/>
		    </td>
		    <td class="dataheader13u_" width="7%">
			<xsl:value-of select="$itm7"/>
		    </td>
		    <td class="dataheader13u_" width="14%">
			<xsl:value-of select="$itm8"/>
		    </td>
		</tr>
    	</xsl:template>
  	<!-- =====================================================================   -->     
  	<!-- TEMPLATE 'contractheader' ENDS	  				     -->
  	<!-- =====================================================================   -->     

	<!-- =====================================================================   -->     
     	<!-- TEMPLATE 'contractrow' BEGINS	  				     -->
     	<!-- parameters: 
     	 	-  element : contains shipment row elements
   		-  pos : # or row
     	 				     -->
     	<!-- =====================================================================   -->     
    	<xsl:template name="contractrow">
        	<xsl:param name="element"/>
        	<xsl:param name="pos"/>
		<td class="datatable13_">
		    <xsl:value-of select="$element/PurchaseOrderLineItemNumber"/>
		</td>
		<td class="datatable13_">
		    <xsl:value-of select="$element/Product/ProductDescription"/>
		</td>
		<td class="datatable13_">
		    <xsl:value-of
			select="$element/Product/WoodProducts/WoodTimbersDimensionalLumberBoards/SoftwoodLumber/Packaging/ProductPackaging/PackageIDInformation/PackageName"/>
		</td>
		<td class="datatable13_">
		    <xsl:value-of
			select="$element/Product/WoodProducts/WoodTimbersDimensionalLumberBoards/SoftwoodLumber/Packaging/ProductPackaging/Wrap/@WrapType"/>
		</td>
		<td class="datatable13right_">
		    <xsl:value-of
			select="$element/QuantityOrderedInformation/Quantity"/>
		</td>
		<td class="datatable13_">
		    <xsl:value-of
			select="$element/QuantityOrderedInformation/Quantity/Value/@UOM"/>
		</td>
		<td class="datatable13right_">
		    <xsl:value-of select="$element/PriceDetails/PricePerUnit/CurrencyValue"/>
		</td>
		<td class="datatable13_">
		    <xsl:value-of
			select="$element/PriceDetails/PricePerUnit/CurrencyValue/@CurrencyType"/>
		</td>
		<td class="datatable13_">
		    <xsl:value-of
			select="concat($element/DeliverySchedule/DeliveryDateWindow[@DeliveryDateType='ActualDepartureDate']/DateTimeRange/DateTimeTo/Date/Day,'.',$element/DeliverySchedule/DeliveryDateWindow[@DeliveryDateType='ActualDepartureDate']/DateTimeRange/DateTimeTo/Date/Month,'.',$element/DeliverySchedule/DeliveryDateWindow[@DeliveryDateType='ActualDepartureDate']/DateTimeRange/DateTimeTo/Date/Year)"/>
		</td>
    	</xsl:template>
    	<!-- =====================================================================   -->     
	<!-- TEMPLATE 'contractrow' ENDS	  				     -->
	<!-- =====================================================================   -->     

	<!-- =====================================================================   -->     
     	<!-- TEMPLATE 'totals' BEGINS	  				             -->
     	<!-- parameters: 
     	 	-  element : contains summary construction element		     -->
     	<!-- =====================================================================   -->     

    	<xsl:template name="totals">
        <xsl:param name="element"/>
		<table border="0" cellpadding="2" cellspacing="0" width="99%">
		    <td class="dataheader13_" width="9%">Totals:</td>
		    <td class="dataheader13_" width="27%"></td>
		    <td class="dataheader13_" width="9%">Quantity</td>
		    <td class="dataheader13_" width="18%">
			<xsl:value-of select="$element/TotalQuantity/Value"/>
		 <xsl:text> </xsl:text>
		 <xsl:value-of select="$element/TotalQuantity/Value/@UOM"/>
		    </td>
		    <td class="dataheader13_" width="9%">

		    </td>
		    <td class="dataheader13_" width="18%">Value <xsl:value-of select="$element/TotalAmount/CurrencyValue"/>
		    </td>
		     <td class="dataheader13_" width="9%"><xsl:value-of select="$element/TotalAmount/CurrencyValue/@CurrencyType"/></td>
		</table>
    	</xsl:template>
    	<!-- =====================================================================   -->     
	<!-- TEMPLATE 'totals' ENDS	  				     -->
	<!-- =====================================================================   -->     

	</xsl:stylesheet>
	<!-- ///////////////////////////////////////////////////////////////////// -->
	<!-- 		STYLESHEET  ENDS					   -->
	<!-- ///////////////////////////////////////////////////////////////////// -->
